# Balances

Request your account details for a single account or all accounts under an entity.

__Authentication header__
  ```
    Authorization: {your_credentials}
  ```
Replace `{your_credentials}` with your base64-encoded Basic Auth username and password given to you by your Implementation Manager.
<br /> <br />

You **must** use the `Authorization` header for any request you send to our Balances API.

__Accept header__
  ```
    Accept: application/vnd.worldpay.accounts.balance-v1+json
  ```
We use the Accept header to identify which version of our API you are using. You must use the Accept header for any request you send to our Balances API.
<br /><br />


__DNS whitelisting__  
Whitelist the following URLs:
* `https://try.access.worldpay-bsh.securedataplatform.com/`
* `https://access.worldpay-bsh.securedataplatform.com/`

Please ensure you use DNS whitelisting, not explicit IP whitelisting.

Version: v1

## Servers

Test (Try)
```
https://try.access.worldpay-bsh.securedataplatform.com
```

Live
```
https://access.worldpay-bsh.securedataplatform.com
```

## Security

### basicAuth

Type: http
Scheme: basic

## Download OpenAPI description

[Balances](https://worldpay-portal.eu.redocly.app/access/_bundle/products/balance/@v1/openapi.yaml)

## Other

### Get account details

 - [GET /accounts/balance/{accountNumber}](https://worldpay-portal.eu.redocly.app/access/products/balance/v1/openapi/other/getaccount.md): Retrieve the details of one specific account.

### Get details for all your accounts

 - [GET /accounts/balance](https://worldpay-portal.eu.redocly.app/access/products/balance/v1/openapi/other/getentity.md): Retrieve account details for all your accounts.

